org.codehaus.plexus.compiler

## Enum CompilerConfiguration.CompilerReuseStrategy

- java.lang.Object
- - java.lang.Enum<CompilerConfiguration.CompilerReuseStrategy>
  - - org.codehaus.plexus.compiler.CompilerConfiguration.CompilerReuseStrategy

All Implemented Interfaces:
  Serializable, Comparable<CompilerConfiguration.CompilerReuseStrategy>

Enclosing class:
  CompilerConfiguration

    public static enum CompilerConfiguration.CompilerReuseStrategy
    extends Enum<CompilerConfiguration.CompilerReuseStrategy>

Re-use strategy of the compiler (implement for java only).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AlwaysNew` Re-create a new compiler for each use.
`ReuseCreated` Re-use already created compiler, create new one if non already exists.
`ReuseSame` Always reuse the same.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getStrategy()`
`String` `toString()`
`static CompilerConfiguration.CompilerReuseStrategy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompilerConfiguration.CompilerReuseStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ReuseSame

    public static final CompilerConfiguration.CompilerReuseStrategy ReuseSame

Always reuse the same. Default strategy.

#### AlwaysNew

    public static final CompilerConfiguration.CompilerReuseStrategy AlwaysNew

Re-create a new compiler for each use.

#### ReuseCreated

    public static final CompilerConfiguration.CompilerReuseStrategy ReuseCreated

Re-use already created compiler, create new one if non already exists. Will mimic a kind of pool to prevent different threads use the same.

### Method Detail

#### values

    public static CompilerConfiguration.CompilerReuseStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompilerConfiguration.CompilerReuseStrategy c : CompilerConfiguration.CompilerReuseStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompilerConfiguration.CompilerReuseStrategy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getStrategy

    public String getStrategy()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CompilerConfiguration.CompilerReuseStrategy>`